<?php header('Content-Type: text/html; charset=utf-8');?>
<?php


include("cnf.php");?>
<?php include("localsets.php");$queries = new DatabaseFunctions($db5);?>
<?php


if(isset($_POST['tu']) && isset($_POST['lk']) && isset($_POST['da'])
   && !empty(trim($_POST['tu'])) && !empty(trim($_POST['lk'])) && !empty(trim($_POST['da']))){

$us = $_POST['tu'];
$ps = $_POST['lk'];
$ver = $_POST['da'];
$res = json_decode($ver,true);
$res = $res["getresult"];
$data = array();
$datas=-1;    
    
if(!is_null($res) && is_array($res) && (sizeof($res)) > 0){
  
    
       $valdataCheck = $queries -> chkusevalstore($us, $ps);
        
       if(!is_null($valdataCheck) && is_array($valdataCheck) && (sizeof($valdataCheck) === 1)){
 
        for($i=0; $i<sizeof($res);$i++){
 
           
        if(!is_null($us) &&  
           !is_null($ps) &&  
           !is_null($res[$i]["rowv"]) && 
           !is_null($res[$i]["rowi"]) &&  
           !is_null($res[$i]["idkol"]) && 
!is_null($res[$i]["tafseal"]) && 
!is_null($res[$i]["idmoin"]) &&  
!is_null($res[$i]["nam"]) &&  
!is_null($res[$i]["adr"]) && 
!is_null($res[$i]["tel"]) &&  
!is_null($res[$i]["fax"]) && 
!is_null($res[$i]["dat"]) &&  
!is_null($res[$i]["stut"]) &&  
!is_null($res[$i]["unam"]) &&
!is_null($res[$i]["pricetype"]) &&
!is_null($res[$i]["subcast"]) &&
!is_null($res[$i]["yad_blacklist"]) &&
!is_null($res[$i]["nam2"]) &&
!is_null($res[$i]["ver"])
){
            
            
                    if($res[$i]["rowv"] === "3"){
    
	                    if($queries -> checkfortafseal_two($us,$ps,$res[$i]["rowi"])){
	
                             $queries -> updatetafseal_two($res[$i]["idkol"], $res[$i]["tafseal"], $res[$i]["idmoin"], $res[$i]["nam"], $res[$i]["adr"], $res[$i]["tel"], $res[$i]["fax"], $res[$i]["dat"], $res[$i]["stut"], $res[$i]["unam"], $res[$i]["pricetype"], $res[$i]["subcast"], $res[$i]["yad_blacklist"], $res[$i]["nam2"], $res[$i]["ver"],$res[$i]["rowi"], $us, $ps);
                        
						}
                    }else if($res[$i]["rowv"] === "2"){
            
                    $queries -> addtafseal_two($res[$i]["idkol"], $res[$i]["tafseal"], $res[$i]["idmoin"], $res[$i]["nam"], $res[$i]["adr"], $res[$i]["tel"], $res[$i]["fax"], $res[$i]["dat"], $res[$i]["stut"], $res[$i]["unam"], $res[$i]["pricetype"], $res[$i]["subcast"], $res[$i]["yad_blacklist"], $res[$i]["nam2"], $res[$i]["ver"],$res[$i]["rowi"], $us, $ps);
            
                    }else if($res[$i]["rowv"] === "1"){
            
                    $queries ->deletetafseal_two($us,$ps,$res[$i]["rowi"]);
            
                    }else{
                            continue;
                    }
 
        
                    array_push($data, $res[$i]["rowi"]); 
 
        }    

      }
    
           
      }else{
           
           $datas = -3;
           
       }
}


    
if(sizeof($data) > 0){
   $datas = $data[sizeof($data)-1]; 
}

echo $datas;
    

}else{
    $datas=-13;
    echo $datas;
}

 
?>